#!/usr/bin/env python
import coral
from coral.exceptions import WFRException

L = coral.lang.UML14

try:
    sm=L.StateMachine(top=L.Class(name="Customer"))
except RuntimeError, e:
    print "You got an exception (as expected): ",e
    assert str(e).find("WRONG TYPE Class should be State") != -1



